curl --request PATCH \
--url https://scheduler.dashsocial.com/youtube/scheduled_posts/{post_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"approval_requests": [
{
"requested_by_user_id": 123,
"review_user_id": 123
}
],
"auto_publish": true,
"board_ids": [
1
],
"brand_id": 1,
"campaign_ids": [
1
],
"content_tag_ids": [
1
],
"creation_source": "RSS_FEED",
"declared_made_for_kids": true,
"description": "<string>",
"duplicate_to_brand_ids": [
1
],
"media_ids": [
1
],
"post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_index": 123,
"subtitle_content": "<string>",
"subtitle_metadata": {
"filename": "<string>"
},
"timestamp": "2023-11-07T05:31:56Z",
"title": "<string>"
}
'import requests
url = "https://scheduler.dashsocial.com/youtube/scheduled_posts/{post_id}"
payload = {
"approval_requests": [
{
"requested_by_user_id": 123,
"review_user_id": 123
}
],
"auto_publish": True,
"board_ids": [1],
"brand_id": 1,
"campaign_ids": [1],
"content_tag_ids": [1],
"creation_source": "RSS_FEED",
"declared_made_for_kids": True,
"description": "<string>",
"duplicate_to_brand_ids": [1],
"media_ids": [1],
"post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_index": 123,
"subtitle_content": "<string>",
"subtitle_metadata": { "filename": "<string>" },
"timestamp": "2023-11-07T05:31:56Z",
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
approval_requests: [{requested_by_user_id: 123, review_user_id: 123}],
auto_publish: true,
board_ids: [1],
brand_id: 1,
campaign_ids: [1],
content_tag_ids: [1],
creation_source: 'RSS_FEED',
declared_made_for_kids: true,
description: '<string>',
duplicate_to_brand_ids: [1],
media_ids: [1],
post_group_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sort_index: 123,
subtitle_content: '<string>',
subtitle_metadata: {filename: '<string>'},
timestamp: '2023-11-07T05:31:56Z',
title: '<string>'
})
};
fetch('https://scheduler.dashsocial.com/youtube/scheduled_posts/{post_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Update a YouTube post
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the post to delete
x >= 0Body
The approval policy of the approval request
APPROVAL_REQUIRED, APPROVAL_NOT_REQUIRED The list of approval requests associated with the post.
Show child attributes
Show child attributes
Whether the post should be auto published. Must be true for YouTube posts. Field is optional on updates.
The list of the board ids associated with the post.
x >= 0The id of the brand to which the post belongs.
x >= 0The list of the campaign ids associated with the post.
x >= 0The list of the content tag ids associated with the post.
x >= 0To identify the user or the application that created the post.
RSS_FEED The list of duplicate to brand ids.
55x >= 0The list of the media ids attached to the post.
x >= 0The id of the post group associated with the post.
The sorted index for unscheduled posts.
The current status of the post.
AUTOPUBLISHING, DRAFT, EXPIRED, FAILED, IMPORTED, MISSING_APPROVALS, PARTIALLY_FAILED, POSTED, SCHEDULED, SKIPPED, USERS_NOTIFIED Raw SRT subtitle file content as text
Subtitle metadata including language code and filename
Show child attributes
Show child attributes
The scheduled date & time for publishing the post.
The title of the YouTube video.
1 - 100